Module | TkBgError
In: | tk/lib/tk/bgerror.rb

### Methods

bgerror set_default set_handler show tkerror

### Constants

TkCommandNames | = | ['bgerror'.freeze].freeze

### Public Instance methods

bgerror(message)

[Source]

    # File tk/lib/tk/bgerror.rb, line 12
      def bgerror(message)
        tk_call('bgerror', message)
      end

set_default()

[Source]

    # File tk/lib/tk/bgerror.rb, line 22
      def set_default
        begin
          tk_call('rename', 'bgerror', '')
        rescue RuntimeError
        end
      end

set_handler(hdlr = Proc.new)

[Source]

    # File tk/lib/tk/bgerror.rb, line 19
      def set_handler(hdlr = Proc.new) #==> handler :: proc{|msg| ...body... }
        tk_call('proc', 'bgerror', 'msg', install_cmd(hdlr) + ' $msg')
      end

show(message)

Alias for bgerror

tkerror(message)

Alias for bgerror

[Validate]